package org.eclipse.ui;

import org.eclipse.ui.internal.PartSite;

/**
 * Utility methods for 
 */
public class InstantiationsWorkbenchPartSiteHelper
{
   // No instances
   private InstantiationsWorkbenchPartSiteHelper() {
   }

   public static IWorkbenchPart getPart(IWorkbenchPartSite site) {
      if (site instanceof PartSite)
         return ((PartSite) site).getPart();
      throw new IllegalArgumentException("site is assumed to be a PartSite");
   }
}
