package com.qualityeclipse.favorites.actions;

import java.util.Iterator;

import org.eclipse.jdt.ui.JavaUI;
import org.eclipse.jface.action.Action;
import org.eclipse.jface.viewers.ISelection;
import org.eclipse.jface.viewers.IStructuredSelection;
import org.eclipse.ui.PlatformUI;

import com.qualityeclipse.favorites.model.FavoritesManager;

public class AddToFavoritesAction extends Action {

	public void run() {
		ISelection selection = PlatformUI
			.getWorkbench()
			.getActiveWorkbenchWindow()
			.getActivePage()
			.getSelection(JavaUI.ID_PACKAGES);
		if (selection instanceof IStructuredSelection) {
			FavoritesManager mgr = FavoritesManager.getManager();
			Iterator iter = ((IStructuredSelection) selection).iterator();
			mgr.addFavorites(mgr.newFavoritesFor(iter));
		}
	}
}
