package com.qualityeclipse.favorites.preferences;

import org.eclipse.core.runtime.preferences.AbstractPreferenceInitializer;
import org.eclipse.jface.preference.IPreferenceStore;

import com.qualityeclipse.favorites.FavoritesPlugin;

/**
 * Class used to initialize default preference values.
 */
public class PreferenceInitializer extends AbstractPreferenceInitializer {

	public void initializeDefaultPreferences() {
		IPreferenceStore store = FavoritesPlugin.getDefault()
				.getPreferenceStore();
		store.setDefault(
				PreferenceConstants.FAVORITES_VIEW_NAME_COLUMN_VISIBLE,
				true);
	}
}
