package com.qualityeclipse.favorites.actions;

import org.eclipse.jface.action.Action;

public class CutFavoritesAction extends Action {
   private CopyFavoritesAction copyAction;
   private RemoveFavoritesAction removeAction;

   public CutFavoritesAction(
      CopyFavoritesAction copyAction,
      RemoveFavoritesAction removeAction, 
      String text
   ) {
      super(text);
      this.copyAction = copyAction;
      this.removeAction = removeAction;
   }

   public void run() {
      copyAction.run();
      removeAction.run();
   }
}