package com.qualityeclipse.favorites.actions;

import org.eclipse.jface.action.Action;

import com.qualityeclipse.favorites.model.FavoritesManager;
import com.qualityeclipse.favorites.views.FavoritesView;

public class RemoveFavoritesAction extends Action
{
   private FavoritesView view;

   public RemoveFavoritesAction(FavoritesView view, String text) {
      super(text);
      this.view = view;
   }

  public void run() {
      FavoritesManager.getManager().removeFavorites(
         view.getSelectedFavorites());
   }
}
